<?php

use WCYandexTaxiDeliveryPlugin\Constants;

/**
 * Get plugin settings array
 *
 * @return array
 */
function ygo_get_settings(): array {
	return WC_Yandex_Taxi_Delivery_Setting_Controller::get_settings();
}

/**
 * Get GeoCoder class name
 *
 * @return string
 */
function ygo_get_geocoder_classname(): string {
	$settings = ygo_get_settings();
	switch ( $settings['geocoder'] ?? '' ) {
		case 'google':
			$return = 'YandexTaxi\Delivery\GeoCoding\GoogleMaps\GoogleGeoCoder';
			break;
		case 'dadata':
			$return = 'YandexTaxi\Delivery\GeoCoding\Dadata\DadataGeoCoder';
			break;
		case 'yandex':
		default:
			$return = 'YandexTaxi\Delivery\GeoCoding\YandexMaps\YandexGeoCoder';
			break;
	}

	return $return;
}
