<?php

defined('ABSPATH') || exit;

/** @var int $pointNumber */
/** @var string $id */
/** @var string $address */
/** @var string $flat */
/** @var string $fullName */
/** @var string $phone */
/** @var string $email */
/** @var string $editUrl */
/** @var boolean $isFake */
/** @var boolean $commentPlaceHolder */
?>
<div class="yandex-taxi-delivery_settings_grid">
<div class="yandex-taxi-delivery_form__route_point yandex-taxi-delivery_setting_form__group">
    <div class="yandex-taxi-delivery_form__route_heading">
        <input class="yandex-taxi-delivery_form__route_point__order_id" type="hidden" value="<?= $id ?>">
        <h2 class="yandex-taxi-delivery_form__title">
            <?= __('Точка', 'yandex-go-delivery') ?> <span class="yandex-taxi-delivery__route_point_number"><?= $pointNumber ?></span>,
            <?php if (!$isFake): ?>
                <a href="<?= $editUrl ?>" target="_blank"><?= __('заказ №', 'yandex-go-delivery')?> <?= $id ?></a>
            <?php else: ?>
                <?= __('Точка без заказа', 'yandex-go-delivery') ?>
            <?php endif ?>
        </h2>
        <div class="yandex-taxi-delivery_form__controls">
            <a class="js_yandex-taxi-delivery_form__move-up-route-point"><span
                        class="dashicons dashicons-arrow-up"></span></a>
            <a class="js_yandex-taxi-delivery_form__move-down-route-point"><span
                        class="dashicons dashicons-arrow-down"></span></a>
            <a class="js_yandex-taxi-delivery_form__delete-route-point"><span class="dashicons dashicons-trash"></span></a>
        </div>
    </div>

    <div class="yandex-taxi-delivery_form__row">
        <div class="yandex-taxi-delivery_form__column_left">
            <div class="yandex-taxi-delivery_form__group js_yandex-taxi-delivery_param_container">
                <label for="customer_<?= $id ?>_address"><?= __('Адрес', 'yandex-go-delivery')?> *</label>
                <input class="yandex-taxi-delivery_form__group__input js_yandex-taxi-delivery_form__param js_yandex-taxi-delivery_form__param_address"
                       data-coordinate-name="customer[coordinate]"
                       type="text"
                       id="customer_<?= $id ?>_address"
                       name="customer[<?= $id ?>][address]"
                       required
                       value="<?= _wp_specialchars($address) ?>">
                <input type="hidden" name="customer[<?= $id ?>][coordinate]"
                       class="js_yandex-taxi-delivery_form__param js_yandex-taxi-delivery_form__param_coordinate">
                <span class="error-message"></span>
            </div>

            <div class="yandex-taxi-delivery_form__group row">
                <div class="yandex-taxi-delivery_form__group_small">
                    <label for="customer_<?= $id ?>_flat"><?= __('Квартира', 'yandex-go-delivery') ?></label>
                    <input class="js_yandex-taxi-delivery_form__param"
                           id="customer_<?= $id ?>_flat"
                           name="customer[<?= $id ?>][flat]"
                           type="text"
                           value="<?= _wp_specialchars($flat) ?>">
                </div>

                <div class="yandex-taxi-delivery_form__group_small">
                    <label for="customer_<?= $id ?>_porch"><?= __('Подъезд', 'yandex-go-delivery') ?></label>
                    <input class="js_yandex-taxi-delivery_form__param"
                           id="customer_<?= $id ?>_porch"
                           name="customer[<?= $id ?>][porch]"
                           type="number">
                </div>

                <div class="yandex-taxi-delivery_form__group_small">
                    <label for="customer_<?= $id ?>_floor"><?= __('Этаж', 'yandex-go-delivery') ?></label>
                    <input class="js_yandex-taxi-delivery_form__param"
                           id="customer_<?= $id ?>_floor"
                           name="customer[<?= $id ?>][floor]"
                           type="number">
                </div>
            </div>

            <div class="yandex-taxi-delivery_form__group">
                <label for="customer_<?= $id ?>_comment"><?= __('Комментарий', 'yandex-go-delivery') ?></label>
                <textarea class="yandex-taxi-delivery_form__group__input__textarea js_yandex-taxi-delivery_form__param"
                          id="customer_<?= $id ?>_comment"
                          name="customer[<?= $id ?>][comment]"><?= _wp_specialchars($commentPlaceHolder) ?></textarea>
            </div>

        </div>
        <div class="yandex-taxi-delivery_form__column_right">
            <div class="yandex-taxi-delivery_form__group row">
                <div class="yandex-taxi-delivery_map"></div>
                <div class="yandex-taxi-delivery_address-details"></div>
            </div>
        </div>
    </div>

    <div class="divider"></div>

    <div class="yandex-taxi-delivery_form__row">
        <div class="yandex-taxi-delivery_form__column_left">

            <h3 class="yandex-taxi-delivery_form__contact_heading"><?= __('Контакт клиента', 'yandex-go-delivery') ?></h3>

            <div class="yandex-taxi-delivery_form__group js_yandex-taxi-delivery_param_container">
                <label for="customer_<?= $id ?>_name"><?= __('Имя', 'yandex-go-delivery') ?> *</label>
                <input class="yandex-taxi-delivery_form__group__input js_yandex-taxi-delivery_form__param"
                       type="text"
                       id="customer_<?= $id ?>_name"
                       name="customer[<?= $id ?>][name]"
                       required
                       value="<?= _wp_specialchars($fullName) ?>">
                <span class="error-message"></span>
            </div>

            <div class="yandex-taxi-delivery_form__group row">
                <div class="yandex-taxi-delivery_form__group_small js_yandex-taxi-delivery_param_container">
                    <label for="customer_<?= $id ?>_phone"><?= __('Номер телефона', 'yandex-go-delivery') ?> *</label>
                    <input class="yandex-taxi-delivery_form__group__input js_yandex-taxi-delivery_form__param"
                           type="tel"
                           id="customer_<?= $id ?>_phone"
                           name="customer[<?= $id ?>][phone]"
                           required
                           value="<?= _wp_specialchars($phone) ?>">
                    <span class="error-message"></span>
                </div>

                <div class="yandex-taxi-delivery_form__group_small js_yandex-taxi-delivery_param_container">
                    <label for="customer_<?= $id ?>_email"><?= __('Email', 'yandex-go-delivery') ?> *</label>
                    <input class="yandex-taxi-delivery_form__group__input js_yandex-taxi-delivery_form__param"
                           type="text"
                           id="customer_<?= $id ?>_email"
                           name="customer[<?= $id ?>][email]"
                           required
                           value="<?= _wp_specialchars($email) ?>">
                    <span class="error-message"></span>
                </div>
            </div>

            <div class="yandex-taxi-delivery_form__group checkbox">
                <input class="yandex-taxi-delivery_form__group__input js_yandex-taxi-delivery_form__param"
                       type="checkbox"
                       id="customer_<?= $id ?>_sms_on"
                       name="customer[<?= $id ?>][sms_on]"
                >
                <label for="customer_<?= $id ?>_sms_on"><?= __('Включить SMS подтверждение', 'yandex-go-delivery') ?></label>
            </div>
        </div>
    </div>
</div>
</div>