<?php

defined('ABSPATH') || exit;

use WCYandexTaxiDeliveryPlugin\Constants;
use WCYandexTaxiDeliveryPlugin\Wrappers\OrderWrapper;
use WCYandexTaxiDeliveryPlugin\View\View;

/** @var OrderWrapper[] $allOrders */
/** @var OrderWrapper[] $activeOrders */
/** @var string $backToOrdersPageUrl */
/** @var string $createClaimUrlWithAll */
/** @var string $createClaimUrlWithNotActive */
?>

<?php if (count($allOrders) === 1): ?>
    <?php $order = array_shift($activeOrders); ?>

    <h2><?= __('Заказ', 'yandex-go-delivery') ?> <a href="<?= $order->getEditUrl() ?>" target="_blank">№<?= $order->getId() ?></a>
    <?= __('уже отправлен в ', 'yandex-go-delivery') ?> <?= Constants::getToPluginName() ?></h2>
<?php else: ?>
    <?php $activeOrdersHtml = implode(', ', array_map(function (OrderWrapper $order) {
        return "<a href='{$order->getEditUrl()}' target='_blank'>№{$order->getId()}</a>";
    }, $activeOrders))
    ?>

    <?php $allOrdersHtml = implode(', ', array_map(function (OrderWrapper $order) {
        return "<a href='{$order->getEditUrl()}' target='_blank'>№{$order->getId()}</a>";
    }, $allOrders))
    ?>
    <h2><?= __('Вы выбрали заказы', 'yandex-go-delivery') ?> <?= $allOrdersHtml ?> <?= __('для отправки в', 'yandex-go-delivery') ?> <?= Constants::getToPluginName() ?></h2>
    <h2><?= __('Заказы', 'yandex-go-delivery') ?> <?= $activeOrdersHtml ?> <?= __('уже были отправлены в', 'yandex-go-delivery') ?> <?= Constants::getToPluginName() ?></h2>
<?php endif ?>


<?php if (count($allOrders) !== 1): ?>
    <a class="button" href="<?= $createClaimUrlWithAll ?>"><?= __('Отправить все в', 'yandex-go-delivery') ?> <?= Constants::getToPluginName() ?></a>
    <a class="button" href="<?= $createClaimUrlWithNotActive ?>"><?= __('Отправить только новые в', 'yandex-go-delivery') ?> <?= Constants::getToPluginName() ?></a>
<?php else: ?>
    <a class="button" href="<?= $createClaimUrlWithAll ?>"><?= __('Отправить заказ в', 'yandex-go-delivery') ?> <?= Constants::getToPluginName() ?></a>
<?php endif ?>
<a class="button" href="<?= $backToOrdersPageUrl ?>"><?= __('Вернуться к списку заказов', 'yandex-go-delivery') ?></a>

<?= (new View())->buildHtml(YGO_PLUGIN_VIEWS_DIR . '/partial/_support_contact.php')?>

